## node-json-stringify-safe 5.0.1+repack

=== Makefile ===
NODE = node
NODE_OPTS =
TEST_OPTS =
MOCUMENT = ~/Documents/Mocumentation/bin/mocument
MOCUMENT_OPTS = --type yui --title Must.js

love:
	@echo "Feel like makin' love."

test:
	@$(NODE) $(NODE_OPTS) ./node_modules/.bin/_mocha -R dot $(TEST_OPTS)

spec:
	@$(NODE) $(NODE_OPTS) ./node_modules/.bin/_mocha -R spec $(TEST_OPTS)

autotest:
	@$(NODE) $(NODE_OPTS) ./node_modules/.bin/_mocha -R dot --watch $(TEST_OPTS)

autospec:
	@$(NODE) $(NODE_OPTS) ./node_modules/.bin/_mocha -R spec --watch $(TEST_OPTS)

pack:
	@file=$$(npm pack); echo "$$file"; tar tf "$$file"

publish:
	npm publish

publish-beta:
	npm publish --tag beta

# NOTE: Sorry, mocumentation is not yet published.
doc: doc.json
	@mkdir -p doc
	@$(MOCUMENT) $(MOCUMENT_OPTS) \
		--priority Must,Object \
		tmp/doc/data.json > doc/API.md

toc: doc.json
	@$(MOCUMENT) $(MOCUMENT_OPTS) \
		--template toc \
		--include Must \
		--var api_url=https://github.com/moll/js-must/blob/master/doc/API.md \
		tmp/doc/data.json > tmp/TOC.md

	@echo '/^API$$/,/^Migrating/{/^API$$/{r tmp/TOC.md\na\\\n\\\n\\\n\n};/^Migrating/!d;}' |\
		sed -i "" -f /dev/stdin README.md

doc.json:
	@mkdir -p tmp
	@yuidoc --exclude test,node_modules --parse-only --outdir tmp/doc .

clean:
	rm -rf tmp *.tgz

tag:
	git tag "v$$($(NODE) -e 'console.log(require("./package").version)')"

.PHONY: love
.PHONY: test spec autotest autospec
.PHONY: pack publish clean
.PHONY: doc toc doc.json
.PHONY: tag

=== oolong/Makefile ===
NODE = node
NODE_OPTS = --use-strict
TEST_OPTS =

# NOTE: Sorry, mocumentation is not yet published.
MOCUMENT = ~/Documents/Mocumentation/bin/mocument
MOCUMENT_OPTS = --type yui --title Oolong.js
GITHUB_URL = https://github.com/moll/js-oolong

love:
	@echo "Feel like makin' love."

test:
	@$(NODE) $(NODE_OPTS) ./node_modules/.bin/_mocha -R dot $(TEST_OPTS)

spec:
	@$(NODE) $(NODE_OPTS) ./node_modules/.bin/_mocha -R spec $(TEST_OPTS)

autotest:
	@$(NODE) $(NODE_OPTS) ./node_modules/.bin/_mocha -R dot --watch $(TEST_OPTS)

autospec:
	@$(NODE) $(NODE_OPTS) ./node_modules/.bin/_mocha -R spec --watch $(TEST_OPTS)

pack:
	@file=$$(npm pack); echo "$$file"; tar tf "$$file"

publish:
	npm publish

tag:
	git tag "v$$($(NODE) -e 'console.log(require("./package").version)')"

doc: doc.json
	@mkdir -p doc
	@$(MOCUMENT) $(MOCUMENT_OPTS) tmp/doc/data.json > doc/API.md

toc: doc.json
	@$(MOCUMENT) $(MOCUMENT_OPTS) \
		--template toc \
		--var api_url=$(GITHUB_URL)/blob/master/doc/API.md \
		tmp/doc/data.json > tmp/TOC.md

	@echo '/^API$$/,/^License$$/{/^API$$/{r tmp/TOC.md\na\\\n\\\n\\\n\n};/^License/!d;}' |\
		sed -i "" -f /dev/stdin README.md

doc.json:
	@mkdir -p tmp
	@yuidoc --exclude test,node_modules --parse-only --outdir tmp/doc .

clean:
	rm -f *.tgz tmp
	npm prune --production

.PHONY: love
.PHONY: test spec autotest autospec
.PHONY: pack publish tag
.PHONY: doc toc doc.json
.PHONY: clean

## node-json-stringify-safe 4.0.0

=== debian/changelog ===
node-json-stringify-safe (4.0.0-1) unstable; urgency=low

  * Initial release (Closes: #703807)

 -- Jérémy Lal <kapouer@melix.org>  Fri, 22 Mar 2013 14:34:30 +0100

=== debian/control ===
Source: node-json-stringify-safe
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 8.0.0)
 , dh-buildinfo
Standards-Version: 3.9.3
Homepage: https://github.com/isaacs/json-stringify-safe
Vcs-Git: git://git.debian.org/collab-maint/node-json-stringify-safe.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-json-stringify-safe.git

Package: node-json-stringify-safe
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: JSON.stringify with circular references module for Node.js
 node-json-stringify-safe provides a serializer or a wrapper for
 JSON.stringify to be able to customize how to deal with circular
 references in the object being serialized, instead of throwing an
 exception.
 .
 Node.js is an event-based server-side javascript engine.

## node-json-stringify-safe 5.0.0

=== debian/changelog ===
node-json-stringify-safe (5.0.0-1) unstable; urgency=low

  * Upstream update
  * control:
    + Standards-Version 3.9.4
    + Canonicalize Vcs fields
  * copyright: add Upstream-Contact, Source fields.

 -- Jérémy Lal <kapouer@melix.org>  Wed, 14 Aug 2013 11:38:12 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends:
  debhelper (>= 8.0.0)
  , dh-buildinfo
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://github.com/isaacs/json-stringify-safe
-Vcs-Git: git://git.debian.org/collab-maint/node-json-stringify-safe.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/node-json-stringify-safe.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/node-json-stringify-safe.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-json-stringify-safe.git
 
 Package: node-json-stringify-safe
 Architecture: all

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-json-stringify-safe-$1.tar.gz/ \
https://github.com/isaacs/json-stringify-safe/tags .*/archive/v?([\d\.]+).tar.gz

## node-json-stringify-safe 5.0.1

=== debian/changelog ===
node-json-stringify-safe (5.0.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Mon, 01 Oct 2018 13:12:37 +0530

node-json-stringify-safe (5.0.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 5.0.1
  * Bump Standards-Version to 4.2.0 (no changes needed)
  * Bump debhelper compatibility level to 11
  * Update Section: javascript, Priority: optional
  * Embed test dependencies and run tests

 -- Pirate Praveen <praveen@debian.org>  Tue, 21 Aug 2018 12:32:31 +0530

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: node-json-stringify-safe
-Section: web
-Priority: extra
+Section: javascript
+Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>
 Build-Depends:
- debhelper (>= 8.0.0)
- , dh-buildinfo
-Standards-Version: 3.9.4
+ debhelper (>= 11~),
+ nodejs,
+ mocha <!nocheck>,
+ node-lodash-packages <!nocheck>,
+ node-sinon <!nocheck>
+Standards-Version: 4.2.0
 Homepage: https://github.com/isaacs/json-stringify-safe
-Vcs-Git: git://anonscm.debian.org/collab-maint/node-json-stringify-safe.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-json-stringify-safe.git
+Vcs-Git: https://salsa.debian.org/js-team/node-json-stringify-safe.git
+Vcs-Browser: https://salsa.debian.org/js-team/node-json-stringify-safe
 
 Package: node-json-stringify-safe
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export NODE_PATH=debian/node_modules

%:
	dh $@

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	mocha -R spec
endif

override_dh_auto_clean:

## node-json-stringify-safe 5.0.1%2Brepack

=== debian/control ===
Source: node-json-stringify-safe
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
 , mocha <!nocheck>
 , node-expect.js <!nocheck>
 , node-lodash-packages <!nocheck>
 , node-sinon <!nocheck>
Standards-Version: 4.6.1
Homepage: https://github.com/isaacs/json-stringify-safe
Vcs-Git: https://salsa.debian.org/js-team/node-json-stringify-safe.git
Vcs-Browser: https://salsa.debian.org/js-team/node-json-stringify-safe
Rules-Requires-Root: no

Package: node-json-stringify-safe
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: JSON.stringify with circular references module for Node.js
 node-json-stringify-safe provides a serializer or a wrapper for
 JSON.stringify to be able to customize how to deal with circular
 references in the object being serialized, instead of throwing an
 exception.
 .
 Node.js is an event-based server-side javascript engine.

## node-json-stringify-safe 5.0.1+repack

=== debian/changelog ===
node-json-stringify-safe (5.0.1+repack-3) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Apply multi-arch hints. + node-json-stringify-safe: Add Multi-Arch: foreign.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs
  * Declare compliance with policy 4.5.1
  * Add ctype=nodejs to component(s)
  * Fix test for recent mocha (Closes: #978317)

 -- Xavier Guimard <yadd@debian.org>  Sun, 27 Dec 2020 08:37:58 +0100

node-json-stringify-safe (5.0.1+repack-2) unstable; urgency=medium

  * Team Upload.
  * Add in directories which aren't detected by autopkgtest
  * Bump standards version to 4.5.0
  * Add dversionmangles to watch

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 09 Mar 2020 00:37:26 +0530

node-json-stringify-safe (5.0.1+repack-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.1
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Switch test and install to pkg-js-tools
  * Replace debian/node_modules/* by components (must, egal, kindof and
    oolong) and repack
  * Remove useless debian/links
  * Update copyright and fix upstream license

 -- Xavier Guimard <yadd@debian.org>  Thu, 14 Nov 2019 19:30:07 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Uploaders: Jérémy Lal <kapouer@melix.org>
 Testsuite: autopkgtest-pkg-nodejs
 Build-Depends:
- debhelper-compat (= 13)
- , dh-sequence-nodejs
- , mocha <!nocheck>
- , node-expect.js <!nocheck>
- , node-lodash-packages <!nocheck>
- , node-sinon <!nocheck>
-Standards-Version: 4.6.1
+ debhelper-compat (= 13),
+ nodejs,
+ mocha <!nocheck>,
+ node-expect.js <!nocheck>,
+ node-lodash-packages <!nocheck>,
+ node-sinon <!nocheck>,
+ dh-sequence-nodejs
+Standards-Version: 4.5.1
 Homepage: https://github.com/isaacs/json-stringify-safe
 Vcs-Git: https://salsa.debian.org/js-team/node-json-stringify-safe.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-json-stringify-safe
@@ -19,7 +20,9 @@
 
 Package: node-json-stringify-safe
 Architecture: all
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends}
+ , nodejs
 Multi-Arch: foreign
 Description: JSON.stringify with circular references module for Node.js
  node-json-stringify-safe provides a serializer or a wrapper for

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb|repack)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-json-stringify-safe-$1.tar.gz/ \
https://github.com/isaacs/json-stringify-safe/tags .*/archive/v?([\d\.]+).tar.gz

opts=\
ctype=nodejs,\
component=must,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-js-must-$1.tar.gz/ \
 https://github.com/moll/js-must/tags .*/archive/v?([\d\.]+).tar.gz ignore

opts=\
ctype=nodejs,\
component=egal,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-js-egal-$1.tar.gz/ \
 https://github.com/moll/js-egal/tags .*/archive/v?([\d\.]+).tar.gz ignore

opts=\
ctype=nodejs,\
component=kindof,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-js-kindof-$1.tar.gz/ \
 https://github.com/moll/js-kindof/tags .*/archive/v?([\d\.]+).tar.gz ignore

opts=\
ctype=nodejs,\
component=oolong,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-js-oolong-$1.tar.gz/ \
 https://github.com/moll/js-oolong/tags .*/archive/v?([\d\.]+).tar.gz ignore
